Subject: bug#53436: 29.0.50; org-toggle-pretty-entities- does not work when toggled off

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 24 Jan 2022 10:09:25 +0100

Arthur Miller <[email-masked]> writes:

> Yes, indeed, I expected it to work in same session, but it requires buffer to be
> reverted for the setting to take the effect. I guess it was my expection that
> was off here. I misred this:
>
>  "To turn off fontification for marked up text, you can set
>   org-fontify-emphasized-text to nil."
>
> to work as a toggle, but it does not. I tested to call org-restart-font-lock,
> but it didn't do anything. The only way seems to be to restart entire org-mode,
> either via change to another mode or by reverting the buffer.

The doc string of that variable says

---
Non-nil means fontify *bold*, /italic/ and _underlined_ text.
Changing this variable requires a restart of Emacs to take effect.
---

> But close the bug repport. I guess it is not a bug. Thanks for the help.

OK, closing.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no